function init()
	gun.name = "Peashooter"
	gun.fireDelay = 2000
	gun.shotrange = 1050
	gun.shotspeed = 400
	gun.shotdamage = 1.25
	gun.shotknockback = 3000
	gun.burstNum = 2
	gun.burstDelay = 150
	
	--make it always a turret
	gun.fixed = 3
	
	return 0
end


function update()
	return 0
end


function fire()
	gun.addShot("shot5.png", gun.firex, gun.firey, gun.firetheta)

	--attach a trail emitter to the shot
	gun.sfx("gun_peashooter.wav", gun.firex, gun.firey)
	return 0
end

function shot_update()

	return 0
end